#ifndef bqW_biTfUn_h
#define bqW_biTfUn_h

#ifdef __cplusplus
extern "C" {
#endif

#include "sizes.h"

extern DWORD ReadBits(const BYTE *data, unsigned bitpos, unsigned bitcount);
extern void WriteBits(BYTE *dest, unsigned bitpos, unsigned bitcount, DWORD data);

/* Arbitrary length */
extern void CopyBits(BYTE *dest, unsigned destbitpos, const BYTE *src, unsigned srcbitpos, unsigned count);

/* 0 = not equal, nonzero = equal */
extern int BitEqual(const BYTE *data, unsigned pos1, unsigned pos2, unsigned size);

#ifdef __cplusplus
}
#endif

#endif
